summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author David Woodfall <dave@unrealize.co.uk>2010-05-13 00:34:11 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:34:11 +0200
commita9dda31a8c8807dae28a4a9cdb6bc1d8e800aeff (patch)
treef4ae78d42b9b7e721b1d22057d4db3d2d58eba2d /misc
parent4ea08f54913cb9b27631905c57f1adcfb9b599f5 (diff)
downloadslackbuilds-a9dda31a8c8807dae28a4a9cdb6bc1d8e800aeff.tar.gz
slackbuilds-a9dda31a8c8807dae28a4a9cdb6bc1d8e800aeff.tar.xz
misc/figlet: Updated for version 222
Diffstat (limited to 'misc')
-rw-r--r--misc/figlet/README38
-rw-r--r--misc/figlet/figlet.SlackBuild61
-rw-r--r--misc/figlet/figlet.info4
-rw-r--r--misc/figlet/slack-desc16
4 files changed, 80 insertions, 39 deletions
diff --git a/misc/figlet/README b/misc/figlet/README
index f3fbe8656d..7e499ca65d 100644
--- a/misc/figlet/README
+++ b/misc/figlet/README
@@ -1,12 +1,34 @@
FIGlet is a program for making large letters out of ordinary text
-FIGlet prints its input using large characters (called FIGcharacters)
-made up of ordinary screen characters (called sub-characters).
-FIGlet output is generally reminiscent of the sort of signatures many
-people like to put at the end of e-mail and UseNet messages. It is also
-reminiscent of the output of some banner programs, although it is
-oriented normally, not sideways.
+ _ _ _ _ _ _
+ | (_) | _____ | |_| |__ (_)___
+ | | | |/ / _ \ | __| '_ \| / __|
+ | | | < __/ | |_| | | | \__ \
+ |_|_|_|\_\___| \__|_| |_|_|___/
-The homepage of FIGlet shows some examples of this.
+ . oooo o8o
+ .o8 `888 `"'
+ .ooooo. oooo d8b .o888oo 888 .oo. oooo .oooo.o
+ d88' `88b `888""8P 888 888P"Y88b `888 d88( "8
+ 888 888 888 888 888 888 888 `"Y88b.
+ 888 888 888 888 . 888 888 888 o. )88b
+ `Y8bod8P' d888b "888" o888o o888o o888o 8""888P'
-Homepage: http://www.figlet.org
+ _/ _/ _/
+ _/_/ _/ _/_/ _/_/_/_/ _/_/_/ _/_/_/
+ _/ _/ _/_/ _/ _/ _/ _/ _/_/
+ _/ _/ _/ _/ _/ _/ _/ _/_/
+ _/_/ _/ _/_/ _/ _/ _/ _/_/_/
+
+ or this:
+
+ # # # #
+ ########## ####### ########## ##########
+ # # # # # # #
+ # # # # # # # #
+ # # ### # # #
+ # # # ## # # # #
+ # # ## # # ##
+
+This contains the standard distribution fonts but more are available
+from the homepage. Fonts should be untarred into /usr/share/figlet/
diff --git a/misc/figlet/figlet.SlackBuild b/misc/figlet/figlet.SlackBuild
index 6f12e15693..4ced545df1 100644
--- a/misc/figlet/figlet.SlackBuild
+++ b/misc/figlet/figlet.SlackBuild
@@ -1,9 +1,29 @@
#!/bin/sh
# Slackware build script for figlet
-
-# Written by David Woodfall dave@unrealize.co.uk
-# aka dive on irc.freenode.net/#slackware
+
+# Copyright 2009 David Woodfall <dave@unrealize.co.uk>
+# All rights reserved.
+#
+# aka dive in #slackware on freenode.net
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. FURTHERMORE I AM NOT LIABLE IF
+# YOUR DATA IS DESTROYED, YOUR HOUSE BURNS DOWN OR YOUR DOG RUNS OFF.
PRGNAM=figlet
VERSION=${VERSION:-222}
@@ -16,14 +36,10 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DESTDIR=$PKG/usr/bin
-FONTDIR=$PKG/usr/share/figlet
-MANDIR=$PKG/usr/man/man6
-
-set -e # Exit on most errors
+set -e
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM$VERSION
tar xvf $CWD/$PRGNAM$VERSION.tar.gz
@@ -35,23 +51,25 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Sed the CFLAGs into the Makefile
+# Need to fix the Makefile
+sed -i 's/local\///g' Makefile
+sed -i '/DEFAULTFONTDIR\ =\ fonts/d' Makefile
+
+ # Sed the CFLAGs into the Makefile
if [ "$ARCH" = "i486" ]; then
sed -i 's#CFLAGS = -g#CFLAGS=-O2 -march=i486 -mtune=i686#g' Makefile
elif [ "$ARCH" = "i686" ]; then
sed -i 's#CFLAGS = -g#CFLAGS=-O2 -march=i686 -mtune=i686#g' Makefile
+elif [ "$ARCH" = "x86_64" ]; then
+ sed -i 's#CFLAGS = -g#CFLAGS=-O2 -fPIC#g' Makefile
fi
-# Need to fix the Makefile.
-sed -i 's/local\///g' Makefile
-sed -i '/DEFAULTFONTDIR\ =\ fonts/d' Makefile
-
make all
+mkdir -p $PKG/usr/bin $PKG/usr/share/figlet $PKG/usr/man/man6
chmod +x figlist
-mkdir -p $DESTDIR $FONTDIR $MANDIR
-cp figlet chkfont figlist $DESTDIR
-cp -a fonts/*.{flf,flc} $FONTDIR
-cp -a figlet.6 $MANDIR
+cp figlet chkfont figlist $PKG/usr/bin
+cp fonts/*.flf fonts/*.flc $PKG/usr/share/figlet
+cp figlet.6 $PKG/usr/man/man6
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
@@ -66,13 +84,12 @@ cp -a figlet.6 $MANDIR
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a CHANGES FAQ LICENSE README figfont.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp CHANGES LICENSE README FAQ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+# Make the package
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
-
-
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/figlet/figlet.info b/misc/figlet/figlet.info
index bb91d78e9c..0700702045 100644
--- a/misc/figlet/figlet.info
+++ b/misc/figlet/figlet.info
@@ -3,6 +3,8 @@ VERSION="222"
HOMEPAGE="http://www.figlet.org"
DOWNLOAD="ftp://ftp.figlet.org/pub/figlet/program/unix/figlet222.tar.gz"
MD5SUM="5f84ad52d092d5db4ad5916df767646b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="David Woodfall"
EMAIL="dave@unrealize.co.uk"
-APPROVED="michiel"
+APPROVED="dsomero"
diff --git a/misc/figlet/slack-desc b/misc/figlet/slack-desc
index f4bc0cc840..6a931ee3f0 100644
--- a/misc/figlet/slack-desc
+++ b/misc/figlet/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-figlet: figlet (A program for making larger letters out of normal text)
-figlet:
-figlet: FIGlet prints its input using large characters made up of ordinary
-figlet: screen characters. FIGlet output is generally reminiscent of the sort
-figlet: of signatures many people like to put at the end of e-mail and Usenet
-figlet: messages.
-figlet: It is also reminiscent of the output of some banner programs,
-figlet: although it is oriented normally, not sideways.
+figlet: FIGlet (program for making large letters out of ordinary text)
+figlet:
+figlet: Extra fonts are available on the the homepage.
+figlet: There is also a figlet mailing list.
figlet:
figlet: Homepage: http://www.figlet.org
figlet:
+figlet:
+figlet:
+figlet:
+figlet: